## opensbi 0.4

=== debian/changelog ===
opensbi (0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for relocated files.
  * debian/control: Update Standards-Version to 4.4.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 07 Jul 2019 12:06:20 -0700

opensbi (0.3+69.b6ea152-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * debian/watch: Fix mangling of upstream filename.
  * Add README.source and git-snapshot script to generate git snapshot
    tarballs.
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=terse.
    - Use V=1 and V=0 for verbose or terse builds instead of passing
      debug argument to make.

  [ Karsten Merker ]
  * Update to upstream commit b6ea152df25016470f27a05af58e4fabef3c7e40
    which includes fixes necessary for proper operation with kernel
    5.2-rc1 and newer.
  * Include CONTRIBUTORS.md as part of the documentation.

  [ Vagrant Cascadian ]
  * debian/control: Update Vcs-* to use "opensbi-team" repository.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 09 Jun 2019 11:20:35 -0700

opensbi (0.3+61.392749f-1) experimental; urgency=low

  * Initial release based on git commit 392749f (Closes: #928724).

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 12 May 2019 19:40:04 -0700
