=== debian/control ===
Source: opensbi
Section: misc
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Uploaders: Karsten Merker <merker@debian.org>
Build-Depends: debhelper-compat (=12),
 gcc-riscv64-linux-gnu,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git -b debian/master
Homepage: https://github.com/riscv/opensbi

Package: opensbi
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RISC-V Open Source Supervisor Binary Interface
 An open-source reference implementation of the RISC-V SBI
 specifications for platform-specific firmwares executing in M-mode.
 .
 The following firmware platforms are provided:
 qemu/sifive_u
 qemu/virt
 sifive/fu540
