## opensbi 0.5

=== debian/changelog ===
opensbi (0.5-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/copyright.
  * debian/control:
    - Set Rules-Requires-Root to "no".
    - Set Standards-Version to 4.4.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 11 Oct 2019 23:02:51 -0700
