=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=12),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git -b debian/master
 Homepage: https://github.com/riscv/opensbi
