## opensbi 0.6

=== debian/changelog ===
opensbi (0.6-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Update Standards-Version to 4.5.0.
  * Drop qemu/sifive_u target which was removed upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Feb 2020 10:37:09 -0800
