=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=12),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git -b debian/master
@@ -19,6 +19,5 @@
  specifications for platform-specific firmwares executing in M-mode.
  .
  The following firmware platforms are provided:
- qemu/sifive_u
  qemu/virt
  sifive/fu540
