=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 override_dh_auto_build:
 	# Always set CROSS_COMPILE, which also works for native builds.
 	# Strip binaries, since dh_strip may not be called for arch:all.
-	for target in qemu/virt qemu/sifive_u sifive/fu540 ; do \
+	for target in qemu/virt sifive/fu540 ; do \
 		CROSS_COMPILE=riscv64-linux-gnu- make \
 			V=$(VERBOSE) \
 			FW_PAYLOAD=n \
