=== debian/watch ===
version=4
opts=filenamemangle=s/\/(.*)v/@PACKAGE@-/ \
   https://github.com/riscv/@PACKAGE@/releases .*/v@ANY_VERSION@.tar.gz
