## opensbi 0.8

=== debian/changelog ===
opensbi (0.8-1) unstable; urgency=medium

  * New upstream version.
  * u-boot-qemu: Update for transition from "qemu/virt" to "generic"
    platform.
  * debian/control: Update to debhelper compatibility 13.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 05 Jul 2020 17:01:32 -0700

opensbi (0.7-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Update.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 18 May 2020 15:37:00 -0700
