=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
  gcc-riscv64-linux-gnu,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -19,5 +19,5 @@
  specifications for platform-specific firmwares executing in M-mode.
  .
  The following firmware platforms are provided:
- qemu/virt
+ generic
  sifive/fu540
