## opensbi 0.9

=== debian/changelog ===
opensbi (0.9-2~ubuntu0.20.04.2) focal-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Nov 2022 10:03:23 -0500

opensbi (0.9-2~ubuntu0.20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1937277)
    - preserve qemu/virt and sifive/fu540 as a symlink to generic
    - use debhelper-compat 12, as 13 did not make into focal

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 23 Jul 2021 10:00:34 +0200

opensbi (0.9-2ubuntu1) impish; urgency=medium

  * Merge from debian experimental, remaining changes:
    - Import meta-sifive patch for fu740 CIP 1200 errata.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 20 Jul 2021 12:13:09 +0100

opensbi (0.9-2) experimental; urgency=medium

  * debian/control: Set Multi-Arch: foreign.
  * Drop sifive/fu540 platform, which is deprecated by the "generic"
    platform and will be dropped from future upstream versions.
  * Install fw_*.bin.
  * debian/control: Remove explicit branch from Vcs-Git header.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 07 Jun 2021 20:08:46 -0700

opensbi (0.9-1) unstable; urgency=medium

  * New upstream version.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 24 Jan 2021 16:37:16 -0800
