=== debian/changelog ===
opensbi (1.0-3ubuntu1) jammy; urgency=medium

  * debian/patches:
    + Replace update-isa-spec.patch with the upstream variant that allows both
      old toolchains and new toolchains that support the new ISA spec to build
      openSBI
  * debian/control:
    + Update maintainer to Ubuntu developers

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Mon, 14 Feb 2022 10:24:09 +0100

opensbi (1.0-3) unstable; urgency=medium

  * debian/patches: Fix reset on hifive unmatched.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Jan 2022 16:27:35 -0800

opensbi (1.0-2) unstable; urgency=medium

  * debian/patches: Update to newer default ISA spec.
    Thanks to Aurelien Jarno!
  * debian/control: Add versioned Build-Depends on binutils.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Jan 2022 11:17:27 -0800

opensbi (1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patch, fixed upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 24 Dec 2021 10:49:59 -0800

opensbi (0.9+187.52af6e4-1) experimental; urgency=medium

  * New upstream git snapshot.
  * debian/copyright: Update for new version.
  * debian/patches: Patch Makefile to pass -ffile-prefix-map via CFLAGS.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 18 Nov 2021 12:39:39 -0800

opensbi (0.9-3) unstable; urgency=medium

  * debian/control: Update Standards-Version to 4.6.0, no changes.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Sep 2021 20:31:24 -0700
