=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
+ binutils (>= 2.37.90.20220123-2~),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
