## opensbi 1.1

=== debian/changelog ===
opensbi (1.1-2) unstable; urgency=medium

  [ Lintian Brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Heinrich Schuchardt ]
  * Fix emulation of fence.tso hanging in endless loop on Allwinner D1
    d/p/lib-sbi_illegal_insn-Fix-FENCE.TSO-emulation-infinit.patch (LP:
    #1995860) (Closes: #1023616)

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 24 Nov 2022 21:45:21 -0800

opensbi (1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Remove patches, applied upstream.
  * debian/copyright: Update for version 1.1.
  * debian/control: Update Standards-Version to 4.6.1.
  * Refresh lintian overrides.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 30 Jun 2022 15:14:17 -0700

opensbi (1.0-4) unstable; urgency=medium

  * debian/patches: Use upstream patch to fix compatibility with binutils
    2.38+.
  * debian/control: Drop versioned Build-Depends on binutils.
  * debian/bin/git-snapshot: Switch to tar.gz format. (Closes: #1003155)

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 26 Mar 2022 16:47:21 -0700
