=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: opensbi
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
+Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=13),
- binutils (>= 2.37.90.20220123-2~),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
