## opensbi 1.3

=== debian/changelog ===
opensbi (1.3-1ubuntu0.22.04.2) jammy-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Nov 2023 13:09:48 -0500

opensbi (1.3-1ubuntu0.22.04.1) jammy; urgency=medium

  * SRU OpenSBI 1.3 to Jammy (LP: #2026588)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 10 Jul 2023 09:26:57 +0200

opensbi (1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for v1.3.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 30 Jun 2023 17:33:03 -0700

opensbi (1.2-1) unstable; urgency=medium

  * debian/watch: Update for new upstream source location.
  * Update upstream URLs.
  * debian/copyright: Update for v1.2.
  * debian/patches: Drop all patches, applied upstream.
  * debian/control: Add Build-Depends on python3.
  * debian/control: Update to Standards-Version 4.6.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 17 Jun 2023 19:22:39 -0700
