=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: opensbi
 Section: misc
 Priority: optional
-Maintainer: Vagrant Cascadian <vagrant@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=13),
  gcc-riscv64-linux-gnu,
-Standards-Version: 4.6.1
+ python3,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
-Homepage: https://github.com/riscv/opensbi
+Homepage: https://github.com/riscv-software-src/opensbi
 
 Package: opensbi
 Architecture: all
