## opensbi 1.3.1

=== debian/changelog ===
opensbi (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for v1.3.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 25 Jul 2023 18:28:38 -0700
